﻿@model ViewModels.Account.SetPasswordViewModel

<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">Set new password</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6 col-md-6">
                @using (Html.BeginForm("SP", "Home", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true, "", new { @class = "alert alert-danger" })

                    <div class="form-group">
                        @Html.LabelFor(c => c.Password, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.Password, new { @class = "form-control", placeholder = "الزامی است"})
                        @Html.ValidationMessageFor(c => c.Password)
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.RePassword, new { @class = "label-control" })
                        @Html.PasswordFor(c => c.RePassword, new { @class = "form-control", placeholder = "الزامی است" })
                        @Html.ValidationMessageFor(c => c.RePassword)
                    </div>
                    <div class="form-group">
                        <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" />

                        <a href="@Url.Action("sp", "Home", new { uc = Request["uc"], area = "Account" })">
                            <i class="fa fa-refresh"></i>
                        </a>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt", placeholder = "Required" })
                        @Html.ValidationMessageFor(c => c.Captcha)
                    </div>
                    <div class="form-group">
                        <input class="btn btn-info" type="submit" value='Submit' />
                    </div>
                    <input name="cc" type="hidden" value="@Model.cc"/>
                    @Html.Hidden("ResetPasswordCode", Request["uc"])
                }
            </div>
            <div class="col-lg-6">
                <div class="alert alert-info">
                    Please set new password for your account.
                    <br />
                    After submit, you can sign in with this new password.
                </div>
            </div>
        </div>
    </div>
</section>

@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}